album_api_version: 0.5.1
args:
- description: The input image (TIF, 3D, single channel).
  name: input
  required: true
  type: file
- default: 0
  description: The sigma of the gaussian blur applied before generating the mesh (optional).
  name: gauss_sigma
  required: false
  type: float
- description: Threshold used before applying the gauss filter. If not provided, no
    threshold is performed (optional).
  name: gauss_threshold
  required: false
  type: float
- description: There value where background and foreground divide when the mesh is
    generated. If not provided, the average of min and max of the dataset is used
    (optional).
  name: mesh_threshold
  required: false
  type: float
- default: 1
  description: The voxel step size when generating a mesh from the volume (optional).
  name: mesh_step_size
  type: integer
- description: The location where the output STL file is supposed to be stored at
    (for example /home/user/output.stl). In case this argument is not provided, the
    mesh will only be displayed.
  name: output
  required: false
  type: file
changelog: null
covers:
- description: Screenshot of a raw image next to the mesh generated from it and displayed
    using vtlplotlib.
  source: cover.png
description: Scikit based mesh generation from pixel data, either saved as STL file
  or displayed via vtkplotlib.
group: de.mdc-berlin
name: pixel-to-mesh
solution_creators:
- Deborah Schmidt
timestamp: '2023-01-03T00:21:25.030317'
title: 3D image mesh generator
version: 0.1.1-SNAPSHOT
